%define name blackbox
%define ver  0.65.0

Summary: Blackbox - an X11 Window manager
Name: %{name}
Version: %{ver}
Release: 1r_rh8
URL: http://blackbox.alug.org/
Group:  User Interface/Desktops
License: GPL
Buildroot: /var/tmp/%{name}-%{ver}-root

Source0: http://prdownloads.sourceforge.net/blackboxwm/%{name}-%{ver}.tar.gz
Source1: session_gdm.blackbox
Source2: session_kdm.blackbox
Source3: session_xdm.blackbox
Source4: menu.ja

%description
Blackbox is yet another addition of the list of window managers 
for the Open Group's X Window System, Version 11 Release 6 and above. 
Blackbox is built with C++, sharing no common code with any other 
window manager (even though the graphics implementation is similar 
to that of Window Maker). 

%prep
%setup -q

%build
rm -f config.cache
CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr/X11R6 --datadir=/usr/share
make

%install
rm -rf   $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT/etc/X11/xdm
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/X11/xdm/Xsession
mkdir -p $RPM_BUILD_ROOT/etc/X11/gdm/Sessions
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/blackbox
mkdir -p $RPM_BUILD_ROOT/usr/share/apps/switchdesk
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/apps/switchdesk/Xclients.blackbox
mkdir -p $RPM_BUILD_ROOT/usr/share/blackbox
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/blackbox/menu.ja
mkdir -p $RPM_BUILD_ROOT/usr/doc/%{name}-%{ver}/data
cp $RPM_BUILD_DIR/%{name}-%{ver}/AUTHORS $RPM_BUILD_ROOT/usr/doc/%{name}-%{ver}/
cp $RPM_BUILD_DIR/%{name}-%{ver}/ChangeLog* $RPM_BUILD_ROOT/usr/doc/%{name}-%{ver}/
cp $RPM_BUILD_DIR/%{name}-%{ver}/INSTALL $RPM_BUILD_ROOT/usr/doc/%{name}-%{ver}/
cp $RPM_BUILD_DIR/%{name}-%{ver}/LICENSE $RPM_BUILD_ROOT/usr/doc/%{name}-%{ver}/
cp $RPM_BUILD_DIR/%{name}-%{ver}/README* $RPM_BUILD_ROOT/usr/doc/%{name}-%{ver}/
cp $RPM_BUILD_DIR/%{name}-%{ver}/TODO $RPM_BUILD_ROOT/usr/doc/%{name}-%{ver}/
cp $RPM_BUILD_DIR/%{name}-%{ver}/data/README* $RPM_BUILD_ROOT/usr/doc/%{name}-%{ver}/data/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/doc/%{name}-%{ver}/
/usr/X11R6/bin/blackbox
/usr/X11R6/bin/bsetroot
/usr/X11R6/bin/bsetbg
/usr/X11R6/man/man1/blackbox*
/usr/X11R6/man/man1/bsetroot*
/usr/share/blackbox/
/etc/X11/xdm/
/etc/X11/gdm/
/usr/share/apps/switchdesk/

%changelog
* Wed Oct 09 2002 Mark <mark@users.sourceforge.jp>
- RedHat 7.3/8
- 1st release
